Bug 247243 - www/logswan: Update to 2.1.5
Summary: www/logswan: Update to 2.1.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL:
Keywords: buildisok, easy
Depends on:
Blocks:
 
Reported: 2020-06-13 21:30 UTC by Juraj Lutter
Modified: 2020-06-18 06:04 UTC (History)
1 user (show)

See Also:
juraj: maintainer-feedback+


Attachments
www/logswan: Update to 2.1.5 (822 bytes, patch)
2020-06-13 21:30 UTC, Juraj Lutter
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Juraj Lutter 2020-06-13 21:30:59 UTC
Created attachment 215529 [details]
www/logswan: Update to 2.1.5

Hi,

please find the patch attached.

Changelog for 2.1.5:

- Switch the GEOIP2DIR example to point to '/var/db/dbip'
- Use CLOCK_REALTIME if CLOCK_MONOTONIC is not available
- Remove unneeded <sys/select.h> and <sys/types.h> includes
- Add missing <stddef.h> include
- Remove useless _POSIX_SOURCE define
- Remove useless _POSIX_C_SOURCE 199309L define
- Define _GNU_SOURCE in CMakeLists.txt to avoid cluttering source files
- No need to set HAVE_SECCOMP to 1, defining it is enough
- Remove some unneeded seccomp related includes

Thanks.
Comment 1 Automation User 2020-06-13 21:59:06 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/155948150
Comment 2 Fernando Apesteguía freebsd_committer 2020-06-14 10:35:23 UTC
^Triage: [tags] in issue Titles are deprecated
Comment 3 commit-hook freebsd_committer 2020-06-18 06:04:02 UTC
A commit references this bug:

Author: fernape
Date: Thu Jun 18 06:03:31 UTC 2020
New revision: 539525
URL: https://svnweb.freebsd.org/changeset/ports/539525

Log:
  www/logswan: update to 2.1.5

  PR:	247243
  Submitted by:	juraj@lutter.sk

Changes:
  head/www/logswan/Makefile
  head/www/logswan/distinfo
Comment 4 Fernando Apesteguía freebsd_committer 2020-06-18 06:04:27 UTC
Committed,

Thanks!